# climate-ref-core

[![PyPI version](https://badge.fury.io/py/climate-ref-core.svg)](https://badge.fury.io/py/climate-ref-core)
[![Documentation Status](https://readthedocs.org/projects/climate-ref/badge/?version=latest)](https://climate-ref.readthedocs.io/en/latest/?badge=latest)
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)
[![Python Version](https://img.shields.io/badge/python-3.11%2B-blue)](https://www.python.org/downloads/)

This package provides the core functionality for the Climate REF (Rapid Evaluation Framework).
It is designed as a library that can be used by other packages to implement metrics providers and extend the framework's capabilities.

## Installation


```bash
pip install climate-ref-core
```


## Usage

This package is primarily intended to be used as a dependency by other packages implementing diagnostic providers.
See the [example diganotic provider](https://github.com/Climate-REF/climate-ref/tree/main/packages/ref-metrics-example).


## Documentation

For detailed documentation, please visit [https://climate-ref.readthedocs.io/](https://climate-ref.readthedocs.io/)

## Contributing

Contributions are welcome! Please see the main project's [Contributing Guide](https://climate-ref.readthedocs.io/en/latest/contributing/) for more information.

## License

This project is licensed under the Apache License 2.0 - see the [LICENSE](LICENSE) file for details.
